* {
  box-sizing: border-box;
}

:root {
  --cc-font-family: $font-family !important;
  --cc-text: black !important;
  --cc-btn-primary-bg: #{$color-primary-500} !important;
  --cc-btn-primary-hover-bg: #{$color-primary-500} !important;
  --cc-btn-secondary-bg: #{$color-basic-grey} !important;
  --cc-btn-secondary-hover-bg: #{$color-text-light-grey} !important;
  --cc-toggle-bg-off: #{$color-text-medium} !important;
  --cc-toggle-bg-readonly: #{$color-text-light-grey} !important;
  --cc-cookie-category-block-bg: #{$color-basic-grey} !important;
  --cc-cookie-category-block-bg-hover: #{$color-basic-grey} !important;
}

body {
  margin: 0;
  font-family: $font-family;
  overflow-x: clip;
  word-break: break-word;
}

.container {
  padding: 0 80px;
  margin: 0 auto;
  width: 100%;
  max-width: 1536px;
  @include media-breakpoint(mobile) {
    padding: 0 24px;
  }
}

input {
  font-family: $font-family;
}

textarea {
  border: none !important;
  font-family: $font-family;
  border-radius: 8px !important;
}
textarea::placeholder {
  color: rgba(0, 0, 0, 0.5) !important;
}

.el-input__count,
.el-input__count-inner {
  background: none !important;
}

a {
  color: black;
}

button {
  font-family: $font-family;
  cursor: pointer;
}
.el-button--default {
  color: black;
}
// .el-button--primary {
// }
// .el-button--text {
// }
.el-button.is-round {
  border-radius: 100% !important;
}

img {
  display: block;
}

h1 {
  font-size: 90px;
  line-height: 98px;
  font-weight: 700;
  margin: 0;
  @include media-breakpoint(mobile) {
    font-size: 51px;
    line-height: 56px;
  }
}
h2 {
  font-size: 67px;
  line-height: 72px;
  margin: 0;
  @include media-breakpoint(mobile) {
    font-size: 38px;
    line-height: 44px;
  }
}
h3 {
  font-size: 51px;
  line-height: 56px;
  margin: 0;
  @include media-breakpoint(mobile) {
    font-size: 38px;
    line-height: 44px;
  }
}
h4 {
  font-size: 38px;
  line-height: 44px;
  margin: 0;
  @include media-breakpoint(mobile) {
    font-size: 28px;
    line-height: 32px;
  }
}
h5 {
  font-size: 28px;
  line-height: 32px;
  margin: 0;
  @include media-breakpoint(mobile) {
    font-size: 21px;
    line-height: 24px;
  }
}
h6 {
  font-size: 21px;
  line-height: 24px;
  margin: 0;
}
.body1 {
  font-size: 16px;
  line-height: 24px;
}
.body2 {
  font-size: 12px;
  line-height: 18px;
}

.el-drawer.btt {
  border-radius: 16px 16px 0 0;
  height: calc(100% - 40px) !important;
  .el-drawer__header {
    display: none;
  }
}

.el-form-item__error {
  position: relative;
}

.el-message {
  min-width: 90%;
}

.el-dialog {
  border-radius: 16px;
  .el-dialog__body {
    word-break: break-word;
  }
}

.el-tabs {
  .el-tabs__item {
    font-size: 28px;
    line-height: 32px;
    @include media-breakpoint(mobile) {
      font-size: 18px;
    }
  }
  .el-tabs__item:hover {
    color: black;
  }
  .el-tabs__item.is-active {
    font-weight: 700;
    color: black;
  }
  .el-tabs__nav-wrap::after {
    display: none;
  }
  .el-tabs__active-bar {
    height: 4px;
    background: $color-primary-500;
  }
}

.el-pagination {
  .btn-prev,
  .btn-next,
  .btn-quicknext,
  .number {
    width: 40px;
    height: 40px;
    line-height: 38px !important;
  }
  .number {
    font-size: 14;
    font-weight: normal;
  }
  .number:hover {
    color: $color-primary-500;
  }
  .number.active {
    border: 1px solid black;
    border-radius: 4px;
    color: black;
    font-weight: bold;
  }
}

.el-select-dropdown__item.selected {
  color: $color-primary-500;
}

.el-scrollbar__bar {
  opacity: 1 !important;
}

.rich-text {
  font-size: 16px;
  line-height: 24px;
  .image {
    margin-left: auto;
    margin-right: auto;
  }
  img {
    width: 100%;
  }
  .table {
    overflow-x: auto;
    margin: 0;
    width: 100% !important;
    table {
      border-spacing: 1px;
      width: 100%;
      border-collapse: collapse;
      table-layout: fixed;
      min-width: 1000px;
      tr {
        td {
          border: 1px solid $color-primary-500;
          padding: 10px;
        }
      }
    }
  }
  p {
    margin: 0;
  }
  a {
    text-decoration: none;
  }
  a:hover {
    text-decoration: underline;
  }
}

.el-loading-mask {
  background: white;
}
.el-loading-spinner {
  .path {
    stroke: $color-primary-500;
  }
}

.dynamic-section {
  display: flex;
  flex-wrap: wrap;
  .box {
    flex: 1;
    min-width: 50%;
    border-top: 1px solid $color-primary-500;
    @include media-breakpoint(mobile) {
      min-width: 100%;
    }
    .rich-text {
      padding: 80px;
      @include media-breakpoint(mobile) {
        padding: 40px 24px;
      }
    }
    img {
      width: 100%;
      height: 100%;
    }
    .youtube {
      padding: 80px;
      @include media-breakpoint(mobile) {
        padding: 40px 24px;
      }
      iframe {
        max-width: 800px;
        aspect-ratio: 16/9;
        margin: 0 auto;
        display: block;
        @include media-breakpoint(mobile) {
          height: calc(200px + 10vw);
        }
      }
    }
    .detail-list {
      padding: 80px;
      @include media-breakpoint(mobile) {
        padding: 40px 24px;
      }
      .description {
        margin-top: 36px;
      }
      ul {
        padding: 0;
        li {
          margin-top: 40px;
          display: flex;
          gap: 40px;
          @include media-breakpoint(mobile) {
            gap: 20px;
          }
          img {
            width: 48px;
          }
          .text {
            margin-top: 10px;
            > div {
              margin-top: 8px;
            }
          }
        }
      }
    }
  }
  .box:nth-child(even) {
    border-left: 1px solid $color-primary-500;
    @include media-breakpoint(mobile) {
      border-left: 0;
    }
  }
}
